<!-- <h2>Hello Angular!</h2> 
 <app-home></app-home> 
 <app-databinding></app-databinding> 
<app-dir></app-dir> 
<app-pipe></app-pipe>-->

<nav class="navbar navbar-expand navbar-light bg-light">
    <ul class="nav navbar-nav">
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['']">Home</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/binding']">Binding</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/dir']">Dir</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/pipe']">Pipe</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/product',10]">Product-R</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/product',{id:1,name:'product1'}]">Product-O</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/category']" [queryParams]="{id:1, name:'books'}">Category-Q</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/account']">Account</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/inheritance']">Inheritance</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/nested']">Nested</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/viewchild']">ViewChild</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/projection']">Projection</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/hooks']">Hooks</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/cd']">Change Detection</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/templateform']">Template Form</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/modelform']">Model Form</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['/rxjs']">RxJS</a>
        </li>
    </ul>
</nav>
<div class="container">
    <router-outlet></router-outlet>
</div>